from random import randint
def печать(текст, стиль="", красный=False, зелёный=False, жёлтый=False, рандомный=False, синий=False, не_печатать =False):
    def определить_стиль(стиль: str):
        стиль = стиль.lower()
        результат = ""
        if "ж" in стиль:
             результат += ";1" 
        if "к" in стиль:
            результат += ";3"
        if "ч" in стиль:
            результат += ";4"
        if "з" in стиль:
            результат += ";9"
        return результат

    итоговый_стиль = определить_стиль(стиль)
    if красный:
        цвет = "255;0;0"
    elif зелёный:
        цвет = "0;255;0"
    elif синий:
        цвет = "0;0;255"
    elif рандомный:
        результат = ""
        for буква in текст:
            K = randint(0, 255)
            З = randint(0, 255)
            С = randint(0, 255)
            результат += f"\x1B[38;2;{K};{З};{С}m{буква}"
        результат += "\x1B[0m"
        print(результат)
        return
    else:
        цвет = "255;255;255"
    результат = f"\x1B[38;2;{цвет}{итоговый_стиль}m{текст}\x1B[0m"
    if не_печатать:
        return результат
    print(результат)
    # \x1B[ - особый символ, который включает режим другого цвета
    # 38;2; - говорит о том, что следующие 3 команды будут в формате RGB
    # после цвета ;1 - особый стиль(в данном случае жирный)
    # \x1B[0m - всё, что будет написано после этого символа будет стандартным цветом. если не будет этой строчки, все последующие print будут печататься тем же цветом

if __name__ == "__main__":
    красный = печать("красный текст", красный=True, не_печатать=True)
    зелёный = печать("зелёный текст", зелёный=True, не_печатать=True)
    print(f"{красный} и {зелёный} текст в одной строке")